vtkGDCMPolyDataWriter Class Reference

`#include <vtkGDCMPolyDataWriter.h>`

Inheritance diagram for vtkGDCMPolyDataWriter:
[legend]
Collaboration diagram for vtkGDCMPolyDataWriter:
[legend]

## Public Member Functions

void | InitializeRTStructSet (vtkStdString inDirectory, vtkStdString inStructLabel, vtkStdString inStructName, vtkStringArray *inROINames, vtkStringArray *inROIAlgorithmName, vtkStringArray *inROIType)
virtual void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetMedicalImageProperties (vtkMedicalImageProperties *pd)
void | SetNumberOfInputPorts (int n)
virtual void | SetRTStructSetProperties (vtkRTStructSetProperties *pd)
| vtkTypeMacro (vtkGDCMPolyDataWriter, vtkPolyDataWriter)

## Static Public Member Functions

static vtkGDCMPolyDataWriter * | New ()

## Protected Member Functions

| vtkGDCMPolyDataWriter ()
| ~vtkGDCMPolyDataWriter ()
void | WriteData ()
void | WriteRTSTRUCTData (gdcm::File &file, int num)
void | WriteRTSTRUCTInfo (gdcm::File &file)

## Protected Attributes

vtkMedicalImageProperties * | MedicalImageProperties
vtkRTStructSetProperties * | RTStructSetProperties

## Detailed Description

Examples
  GenerateRTSTRUCT.cxx, and rtstructapp.cxx.

## Constructor & Destructor Documentation

## vtkGDCMPolyDataWriter()

vtkGDCMPolyDataWriter::vtkGDCMPolyDataWriter | ( |  | ) |

protected

Referenced by New(), vtkTypeMacro(), and WriteRTSTRUCTData().

## ~vtkGDCMPolyDataWriter()

vtkGDCMPolyDataWriter::~vtkGDCMPolyDataWriter | ( |  | ) |

protected

## Member Function Documentation

## InitializeRTStructSet()

void vtkGDCMPolyDataWriter::InitializeRTStructSet | ( | vtkStdString | inDirectory,
|  | vtkStdString | inStructLabel,
|  | vtkStdString | inStructName,
|  | vtkStringArray * | inROINames,
|  | vtkStringArray * | inROIAlgorithmName,
|  | vtkStringArray * | inROIType )

Examples
  GenerateRTSTRUCT.cxx.

## New()

vtkGDCMPolyDataWriter * vtkGDCMPolyDataWriter::New | ( |  | ) |

static

Examples
  GenerateRTSTRUCT.cxx, and rtstructapp.cxx.

References vtkGDCMPolyDataWriter().

## PrintSelf()

virtual void vtkGDCMPolyDataWriter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent )

virtual

## SetMedicalImageProperties()

virtual void vtkGDCMPolyDataWriter::SetMedicalImageProperties | ( | vtkMedicalImageProperties * | pd | ) |

virtual

Examples
  GenerateRTSTRUCT.cxx, and rtstructapp.cxx.

## SetNumberOfInputPorts()

void vtkGDCMPolyDataWriter::SetNumberOfInputPorts | ( | int | n | ) |

Examples
  GenerateRTSTRUCT.cxx, and rtstructapp.cxx.

## SetRTStructSetProperties()

virtual void vtkGDCMPolyDataWriter::SetRTStructSetProperties | ( | vtkRTStructSetProperties * | pd | ) |

virtual

Examples
  GenerateRTSTRUCT.cxx, and rtstructapp.cxx.

## vtkTypeMacro()

vtkGDCMPolyDataWriter::vtkTypeMacro | ( | vtkGDCMPolyDataWriter | ,
|  | vtkPolyDataWriter | )

References vtkGDCMPolyDataWriter().

## WriteData()

void vtkGDCMPolyDataWriter::WriteData | ( |  | ) |

protected

## WriteRTSTRUCTData()

void vtkGDCMPolyDataWriter::WriteRTSTRUCTData | ( | gdcm::File & | file,
|  | int | num )

protected

References vtkGDCMPolyDataWriter().

## WriteRTSTRUCTInfo()

void vtkGDCMPolyDataWriter::WriteRTSTRUCTInfo | ( | gdcm::File & | file | ) |

protected

## Member Data Documentation

## MedicalImageProperties

vtkMedicalImageProperties* vtkGDCMPolyDataWriter::MedicalImageProperties

protected

## RTStructSetProperties

vtkRTStructSetProperties* vtkGDCMPolyDataWriter::RTStructSetProperties

protected

The documentation for this class was generated from the following file:

- vtkGDCMPolyDataWriter.h